Can’t we all just get along?

One of the biggest challenges we face when developing or introducing new tools is browser compatibility. We’ve all experienced it: one web page will tell you your browser is too new, the next says it’s outdated and too old. As with any large and complex organization, we bridge a lot of technologies at UTMB. There are legacy systems—older tools, programs, software, hardware—which generally do the job and can often be pretty important. They’re often not keeping with the times, usually for justifiable reasons (cost, more pressing priorities, impact on related systems, etc). So what do we do?

We can’t stay mired in the past, we can’t ignore users with old browsers, and we can’t afford to be browser-centric. Even though Internet Explorer accounts for 68 percent of the traffic to utmb.edu, there are seven versions(!) of IE visiting us in a month, and 40 percent of the IE traffic is version 7.0 (or in 7-compatibility mode). This was a browser released in 2006; Google hasn’t supported it since 2011, and even Microsoft no longer supports it.   

So we invest a lot of time in making our templates and pages  work with older browsers. We run and test on a UTMB thin client. We each run and use multiple browsers throughout the day, with Firefox being the office favorite, probably followed by Chrome. But as diligent and careful as we may be, there are a lot of variables. Update if you can. Report any weirdness you encounter. Keep the pitchforks away, and let’s join in some “Kumbaya.”

web traffic by browser
Thirty days of web traffic to utmb.edu. broken down by type of browser. (click to view full size)